<?php
    require_once __DIR__ . '/class.php';

    use Aws\Sns\Message;
    use Aws\Sns\MessageValidator;

    $messageValidator = new MessageValidator();
    $message = Message::fromRawPostData();
    $demoApi = new DemoApi();
    $demoApi->logMessage($message);

    if ($messageValidator->isValid($message)) {
        switch ($message['Type']) {
            case 'SubscriptionConfirmation':
                $demoApi->logMessage($message['Type']);
                $demoApi->getSNSSubscription($message);
                break;
            case 'Notification':
                $demoApi->logMessage($message['Type']);
                if (strpos($message['Subject'], 'ALARM') !== false) {
                    switch (json_decode($message['Message'])->AlarmName) {
                        case ALARM_ADD_NAME:
                            $demoApi->runCronJob('add_db_replica');
                            $demoApi->logMessage(ALARM_ADD_NAME);
                            break;
                        case ALARM_REMOVE_NAME:
                            $demoApi->runCronJob('remove_db_replica');
                            $demoApi->logMessage(ALARM_REMOVE_NAME);
                            break;
                    }
                }
                break;
        }
    }
?>